Package org.mariadb.jdbc.message.client

## Class PingPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.PingPacket

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ClientMessage`

    public final class PingPacket
    extends Object
    implements org.mariadb.jdbc.message.ClientMessage

Ping packet see COM_PING (https://mariadb.com/kb/en/com_ping/)

### Field Summary

Fields
`static PingPacket` `INSTANCE` default instance

### Constructor Summary

Constructors
`PingPacket()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context)` Encode client message to socket.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket, validateLocalFileName`

### Field Detail

#### INSTANCE

    public static final PingPacket INSTANCE

default instance

### Constructor Detail

#### PingPacket

    public PingPacket()

### Method Detail

#### encode

    public int encode​(Writer writer,
                      org.mariadb.jdbc.client.Context context)
               throws IOException

Description copied from interface: `org.mariadb.jdbc.message.ClientMessage`
Encode client message to socket.

Specified by:
  `encode` in interface `org.mariadb.jdbc.message.ClientMessage`
Parameters:
  `writer` - socket writer
  `context` - connection context
Returns:
  number of client message written
Throws:
  `IOException` - if socket error occur